/* ========= GENERAL ===========*/


:root {
    --main-color: #8e0db3;
    --main-font: 'Roboto Condensed', sans-serif;
}

body {
    font-family: var(--main-font);
}

.container {
    max-width: 1200px;
    margin: 0 auto;
}

.section-title__background_purple {
    position: relative;
    z-index: 1;
    top: 60px;
    left: calc(50% - 80px);
    width: 50px;
    height: 50px;
    background-color: var(--main-color);
    transform: skewX(-20deg);
}

.section-title__background_grey {
    position: relative;
    z-index: 1;
    top: 10px;
    left: calc(50% - 13px);
    width: 150px;
    height: 30px;
    background-color: #d0d0d0;
}

.section-title {
    position: relative;
    z-index: 2;
    text-align: center;
    font-size: 24px;
    font-weight: 400;
}

/* ========= HEADER ===========*/

.sticky-menu {
    background: #d0d0d0 ;
    z-index: 10;
    position: fixed;
    left: 0;
    top: -1px;
    width: 100%;
}

.main-nav {
    margin-top: 1px;
    padding-top: 10px;
    display: flex;
    justify-content: space-between;
    color: var(--main-color);
}

.main-nav__menu {
    display: flex;
    flex-grow: 1;
    justify-content: space-around;
}

.main-nav__logo-block {
    text-decoration: none;
    color: var(--main-color);
    cursor: pointer;
}

.main-nav__ecosystem-logo {
}

.main-nav__logo-block:hover img {
    opacity: 0.8;
    transform: rotate(360deg);
    transition: all 1s ease-in-out 0s;
}

.main-nav__ecosystem-name:hover:before {
    opacity: 0.3;
    visibility: visible;
    transform: scaleX(1);
}

.main-nav__ecosystem-logo {
    width: 50px;
    height: 50px;
}


.main-nav__logo-letters {
    font-size: 0.6em;
    position: relative;
    left: 34px;
    bottom: 21px;
}

.main-nav__ecosystem-name {
    position: relative;
    bottom: 20px;
}

.main-nav__link-list {
    list-style: none;
}

.main-nav__link {
    position: relative;
    text-decoration: none;
    color: var(--main-color);
    cursor: pointer;
}

.main-nav__link:hover {
    opacity: 0.8;
    transition: all 0.3s ease-in-out 0s;
}

.main-nav__link:before, .main-nav__ecosystem-name:before{
    content: "";
    position: absolute;
    width: 100%;
    height: 1px;
    bottom: -5px;
    left: 0;
    background-color: var(--main-color);
    visibility: hidden;
    transform: scaleX(0);
    transition: all 0.3s ease-in-out 0s;
}

.main-nav__link:hover:before {
    opacity: 0.3;
    visibility: visible;
    transform: scaleX(1);
}

.main-nav__link-item {
    display: inline-block;
    margin-right: 40px;
}

.main-nav__login-block {
    list-style: none;
}

.main-nav__login-item {
    display: inline-block;
    margin-right: 20px;
}

.main-nav__register-link {
    border: 1px solid var(--main-color);
    padding: 5px;
    text-decoration: none;
    color: var(--main-color);
}

.main-nav__enter-link {
    text-decoration: none;
    color: var(--main-color);
}

.show-menu-btn {
    position: absolute;
    right: 15px;
    top: 15px;
    z-index: 2;
    width: 64px;
    height: 64px;
    background-image: url("img/menu.svg");
    background-size: 50%;
    background-repeat: no-repeat;
}

.hide-menu-btn {
    position: absolute;
    right: 15px;
    top: 15px;
    z-index: 5;
    width: 64px;
    height: 64px;
    background-image: url("img/close.svg");
    background-size: 50%;
    background-repeat: no-repeat;
}

.show-menu-btn,.hide-menu-btn{
    display: none;
}


/*========= FIRST SCREEN ============*/

.first-screen {
    height: 100vh;
}

.purchase-menu {
    margin-top: 90px;
}

.purchase-menu__list {
    display: flex;
    justify-content: center;
    position: relative;
    right: 20px;
    list-style: none;
}

.purchase-menu__item {
    cursor: pointer;
}

.purchase-menu__item:hover {
    opacity: 0.6;
}

.purchase-menu__link {
    display: block;
    text-decoration: none;
    margin-right: 30px;
    color: white;
    font-weight: 400;
}

.try {
    transform: rotate(8deg);
}

.subscribe {
    transform: rotate(-13deg);
}

.customize {
    transform: rotate(4deg);
}

.purchase-menu__item:first-child {
    padding: 20px 37px 30px 20px;
    background-image: url("img/try_rectangle.svg");
    background-size: 139px 69px;
    background-position: 3px -5px;
    background-repeat: no-repeat;
}

.purchase-menu__item:nth-child(2) {
    margin-right: -40px;
    padding: 20px 37px 30px 20px;
    background-image: url("img/subscribe_rectangle.svg");
    background-size: 114px 68px;
    background-position: 3px 1px;
    background-repeat: no-repeat;
}

.purchase-menu__item:nth-child(3) {
    padding: 20px 37px 30px 20px;
    background-image: url("img/customise_rectangle.svg");
    background-size: 118px 69px;
    background-position: 3px -5px;
    background-repeat: no-repeat;
}

.main-logo {
    position: absolute;
    top: 40%;
    left: calc(50% - 58px);
}

.main-logo__image {
    transform: rotate(360deg) translate(170px);
    animation-name: central-image-rotate;
    animation-iteration-count: infinite;
    animation-duration: 20s;
    animation-timing-function: linear;
    transform-origin: center;
}

@keyframes central-image-rotate {
    from {
        transform: rotate(0);
    }
    to {
        transform: rotate(360deg);
    }
}

.main-logo__image_inner {
    width: 60px;
    height: 60px;
    position: relative;
    bottom: 30px;
    right: 90px;
}

.main-logo__title {
    position: relative;
    left: 35px;
    text-transform: uppercase;
    color: var(--main-color);
    font-weight: 700;
    font-size: 24px;
}

.product-about {
    position: relative;
    right: 32px;
    top: 10px;
    text-align: center;
    font-size: 0.8rem;
    font-weight: 400;
    color: var(--main-color)
}

.first-screen__image:nth-of-type(1) {
    width: 25%;
    height: auto;
    position: absolute;
    z-index: 2;
    top: 15%;
    left: -32px;
    transform: rotateZ(-5deg);
}

.first-screen__image:nth-of-type(2) {
    width: 25%;
    height: auto;
    position: absolute;
    z-index: 1;
    top: 57%;
    left: -30px;
    transform: rotateZ(4deg);
 }

.first-screen__image:nth-of-type(3) {
    width: 25%;
    height: auto;
    position: absolute;
    top: 100px;
    right: -20px;
    transform: rotateZ(-5deg);
}

.first-screen__description-text {
    position: absolute;
    top: 75%;
    right: 100px;
    width: 50%;
}


/*========= ADVANTAGES SCREEN ============*/

.advantages-screen {
    margin-top: -100px;
}

.advantage-element {
    position: relative;
    display: flex;
    align-items: center;
}

.advantage-element p {
    width: 60%;
    text-align: left;
}

.advantage-element b {
    margin-left: 10%;
    width: 15%;
    text-align: left;
    margin-right: 10%;
}

.advantage-title_start::before {
    position: absolute;
    top: 16px;
    left: 30px;
    content: '';
    background-image: url('img/start-button.svg');
    background-size: 40px 40px;
    width: 40px;
    height: 40px;
}

.advantage-title_administration::before {
    position: absolute;
    left: 30px;
    content: '';
    background-image: url('img/clipboard.svg');
    background-size: 40px 40px;
    width: 40px;
    height: 40px;
}

.advantage-title_assessment::before {
    position: absolute;
    left: 30px;
    content: '';
    background-image: url('img/process.svg');
    background-size: 40px 40px;
    width: 40px;
    height: 40px;
}

.advantage-title_participants::before {
    position: absolute;
    top: 20px;
    left: 30px;
    content: '';
    background-image: url('img/class.svg');
    background-size: 40px 40px;
    width: 40px;
    height: 40px;
}

.advantage-title_experts::before {
    position: absolute;
    top: -2px;
    left: 11px;
    content: '';
    background-image: url('img/pe_fest_hat.png');
    background-size: 80px 80px;
    width: 80px;
    height: 80px;
}

.advantage-title_statistics::before {
    position: absolute;
    top: 8px;
    left: 30px;
    content: '';
    background-image: url('img/analytics.svg');
    background-size: 40px 40px;
    width: 40px;
    height: 40px;
}

.advantage-title_project::before {
    position: absolute;
    left: 30px;
    content: '';
    background-image: url('img/project.svg');
    background-size: 40px 40px;
    width: 40px;
    height: 40px;
}

/*========= USECASES SCREEN ============*/

.usecases-screen .section-title__background_purple {
    left: calc(50% - 160px);
}

.usecases-screen .section-title__background_grey {
    width: 300px;
}

.usecases-screen__gallery {
    position: relative;
}

.usecases-screen__gallery-background-grey {
    margin-top: 20px;
    position: absolute;
    z-index: -2;
    right: 0;
    height: 60vh;
    width: 60vw;
    /*background: #d0d0d0;*/
}

.usecases-screen__gallery_background-purple {
    margin-top: 50px;
    position: relative;
    /*width: 730px;*/
    /*height: 340px;*/
    background: var(--main-color);
}

.usecases-screen__slide {
    position: relative;
    margin: 0 auto;
}

.usecases-screen__photo {
    position: relative;
    margin: 0 auto;
    left: 30px;
    bottom: 30px;
    width: 90%;
    height: auto;
}

.usecases-screen__slide {
    display: none;
    width: 70%;
    margin: auto;
}

.usecases-screen__slide:first-of-type {
    display: block;
}

.usecases-screen__button-next {
    position: absolute;
    top: 50%;
    right: 5%;
    border: none;
    padding: 0;
    font-size: 36px;
    color: var(--main-color);
    width: 40px;
    background-color: #dddddd;
    cursor: pointer;
}

.usecases-screen__button-prev {
    position: absolute;
    top: 50%;
    left: 5%;
    border: none;
    padding: 0;
    font-size: 36px;
    color: var(--main-color);
    width: 40px;
    background-color: #dddddd;
    cursor: pointer;
}

.usecases-screen__button-next:hover {
    opacity: 0.6;
}

.usecases-screen__button-prev:hover {
    opacity: 0.6;
}


/*========= PURCHASE SCREEN ============*/


.purchase-screen {
    margin-top: 57px;
}

.purchase-screen .section-title__background_purple {
    left: calc(50% - 140px);
}

.purchase-screen .section-title__background_grey {
    width: 260px;
}

.purchase-screen__cards {
    margin-top: 50px;
    margin-bottom: 50px;
    display: flex;
    justify-content: center;
}

.purchase-options__card {
    box-sizing: border-box;
    margin: 40px;
    /*padding: 10px 30px;*/
    width: 260px;
    background: #a53dc2;
}

.purchase-options__card_title {
    display: block;
    padding: 15px 0;
    color: white;
    text-align: center;
    background: var(--main-color);
}

.purchase-options__card_description {
    padding: 10px 30px;
}

.purchase-options__card_button {
    display: block;
    text-align: center;
    margin: 0 auto 20px;
    padding: 8px 20px;
    font-family: var(--main-font);
    cursor: pointer;
    border: none;
}

.purchase-options__card_button:hover {
    background-color: #c1c1c1;
    color: var(--main-color);
}

/*========= FORM ============*/
.form {
    margin: 0 auto;
    width: 50%;
    display: flex;

    box-sizing: border-box;
    padding: 20px 10%;
    flex-direction: column;
    background-color: #d0d0d0;
    box-shadow: 4px 18px 54px #6a6b6b;
}

.form-title {
    text-align: center;
    color: var(--main-color);
}

.form-block {
    display: flex;
    flex-direction: column;
    margin-bottom: 20px;
    text-align: left;
}

form label {
    margin-bottom: 5px;
    color: var(--main-color);
}

form input {
    padding: 10px;
}

.form-btn {
    color: white;
    background: var(--main-color);
    border: none;
    padding: 10px;
    cursor: pointer;
}

.form-btn:hover {
    opacity: 0.6;
}

.form-close-btn {
    position: absolute;
    top: 20px;
    right: 0;
    width: 64px;
    height: 64px;
    border: none;
    background-color: #d0d0d0;
    background-image: url("img/close.svg");
    background-size: 50%;
    background-repeat: no-repeat;
    cursor:pointer;
}

.form-close-btn:hover {
    opacity: 0.6;
}

@keyframes bounce {
    0%  { transform: translateY(-2000px); }
    70% { transform: translateY(30px);   }
    90% { transform: translateY(-10px);    }
    100%  { transform: translateY(0);       }

}

/*========= SIGN-UP FORM ============*/

.sign-up-section {
    display: inline-block;
    position: fixed;
    left: 0;
    right: 0;
    text-align: center;
    z-index: 20;
    top: 10%;
    width: 100%;
}

.sign-up-form {
    position: relative;
    display: none;
}

.sign-up-form_show {
    display: block;
    animation: bounce 0.6s;
}



/*========= LOG-IN FORM ============*/
.log-in-section {
    display: inline-block;
    position: fixed;
    left: 0;
    right: 0;
    text-align: center;
    z-index: 20;
    top: 10%;
    width: 100%;
}

.log-in-form {
    position: relative;
    display: none;
}

.log-in-form_show {
    display: block;
    animation: bounce 0.6s;
}



.page-footer {
    padding: 30px 0;
    margin-top: 30px;
    background: #d0d0d0;
}


/*========= MEDIA QUERIES ============*/

@media (max-width: 890px) {

    .first-screen__image:nth-of-type(1) {
        width: 35%;
    }
    .first-screen__image:nth-of-type(2) {
        width: 35%;
    }
    .first-screen__image:nth-of-type(3) {
        width: 35%;
    }

    .first-screen__description-text {
        width: 90%;
        right: 5%;
        left: 5%;
        top: 85%;
    }

    .show-menu-btn, .hide-menu-btn {
        display: block;
        fill: var(--main-color);
        transition: 0.7s;
    }

    .hide-menu-btn_hidden{
        display: none;
    }

    .main-nav__menu{
        position: fixed;
        z-index: 4;
        width: 100%;
        height: 100vh;
        background: #d0d0d0;
        right: -100%;
        top: 0;
        text-align: center;
        padding: 80px 0;
        line-height: normal;
        /*transition: 0.7s;*/
    }

    .main-nav__menu li {
        padding: 20px;
        display: block;
    }


    .main-nav__menu_show{
        right: 0;
    }


    .purchase-menu {
        margin-top: 50px;
    }

    .purchase-menu__list {
        bottom: 30px;
        flex-direction: column;
        align-items: center;
    }

    .main-nav__menu {
        flex-direction: column;
    }

    .advantages-screen__elements {
        margin-top: 60px;
    }

    .advantage-element {
        flex-direction: column;
        margin-top: 20px;
    }
    .advantage-title_start::before {
        top: -10px;
        left: 30%;
    }
    .advantage-title_administration::before {
        top: 0;
        left: 30%;
    }
    .advantage-title_assessment::before {
        top: 0;
        left: 30%;
    }
    .advantage-title_participants::before {
        top: 0;
        left: 30%;
    }
    .advantage-title_experts::before {
        top: -20px;
        left: 26%;
    }
    .advantage-title_statistics::before {
        top: 0;
        left: 30%;
    }
    .advantage-title_project::before {
        top: 0;
        left: 30%;
    }

    .usecases-screen h3 {
        margin-top: 30px;
    }

    .purchase-screen__cards {
        flex-direction: column;
        align-items: center;
    }

    .page-footer .main-nav {
        flex-direction: column;
        align-items: center;
    }

    .form {
        width: 90%;
    }

    .form-close-btn {
        width: 40px;
        height: 40px;
    }
}

@media (max-width: 750px) {
    .first-screen__description-text {
        top: 82%;
    }
}


@media (max-width: 568px) {
    .main-nav__link-list {
        display: flex;
        flex-direction: column;
        align-items: center;
    }

    .hide-menu-btn {
        width: 36px;
        height: 36px;
        top: 25px;
    }

    .show-menu-btn {
        width: 45px;
        height: 35px;
        top: 25px;
    }

    .first-screen__image:nth-of-type(1) {
        width: 40%;
    }

    .first-screen__image:nth-of-type(2) {
        width: 40%;
        top: 11%;
        left: 150px;
    }

    .first-screen__image:nth-of-type(3) {
        width: 40%;
    }


    .purchase-menu {
        margin-top: 100px;
        position: relative;
        top: 58%;
    }

    .purchase-menu__list {
        top: 50%;
        flex-direction: row;
        right: 0;

    }
    .purchase-menu__item:nth-child(1) {
        margin-right: -50px;
        background-size: 105px 69px;
        background-position: 3px -5px;
    }

    .purchase-menu__item:nth-child(2) {
        margin-right: -55px;
        background-size: 103px 59px;
        background-position: 4px 3px;
    }

    .purchase-menu__item:nth-child(3) {
        background-size: 98px 69px;
        background-position: 3px -5px;
    }

    .section-title {
        font-size: 18px;
    }

   .section-title__background_purple {
       top: 50px;
   }

   .advantages-screen {
       margin-top: 170px;
   }

   .advantage-element p {
       width: 90%;
   }

   .usecases-screen__slide {
       width: 80%;
   }

   .usecases-screen .section-title__background_purple {
       left: calc(50% - 145px);
   }

   .usecases-screen .section-title__background_grey {
       width: 255px;
   }

    .usecases-screen__photo {
        left: 10px;
        bottom: 10px;
    }

    .usecases-screen__button-prev {
        top: 40%;
        left: 1%;
        font-size: 24px;
        width: 25px;
    }

    .usecases-screen__button-next {
        top: 40%;
        right: 1%;
        font-size: 24px;
        width: 25px;
    }

    .page-footer .main-nav__link-item {
        margin-bottom: 15px;
    }

}

@media (max-width: 430px) {
    .first-screen__image:nth-of-type(2) {
        left: 110px;
    }

    .first-screen__description-text {
        top: 100%;
    }

    .purchase-menu {
        top: 65%;
    }

    .advantage-title_start::before {
        top: -10px;
        left: 25%;
    }
    .advantage-title_administration::before {
        top: 0;
        left: 25%;
    }
    .advantage-title_assessment::before {
        top: 0;
        left: 25%;
    }
    .advantage-title_participants::before {
        top: 0;
        left: 25%;
    }
    .advantage-title_experts::before {
        top: -20px;
        left: 21%;
    }
    .advantage-title_statistics::before {
        top: 0;
        left: 25%;
    }
    .advantage-title_project::before {
        top: 0;
        left: 25%;
    }
}

@media (max-width: 330px) {
    .first-screen__image:nth-of-type(2) {
        width: 40%;
        top: 13%;
        left: 90px;
    }

    .first-screen__image:nth-of-type(1) {
        top: 17%;
    }
}